<template>

    <div>
        <div class="overlay" @click="triggerPop()"></div>

        <div class="container-pop">
            <h1>En savoir plus</h1>
            <p>{{ savoirPlus }}</p>
            <div class="close-button" @click="triggerPop()">
                <p>OK</p>
            </div>
        </div>
    </div>

</template>

<script>
export default {
    name: "PopUp",
    props:{
        showPopUp: Boolean,
        savoirPlus: String,
        triggerPop: Function
    }
}
</script>

<style lang="scss" scoped>

@import "../style/default";

.overlay{
    background: rgba($color: #000000, $alpha: 0.5);
    position: fixed;
    top:0%;
    bottom: 0%;
    left: 0%;
    right: 0%;
}

.container-pop{

    position: absolute;

    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    
    width: 500px;

    border: 2px solid black;

    border-radius: 5px;

    display: flex;

    flex-direction: column;

    align-items: center;

    background-color: white;

    p{
        width: 90%;
    }

    .close-button{

        height: 50px;

        padding-left: 5%;
        padding-right: 5%;

        background-color: $background-green;

        border-radius: 10px;

        margin-bottom: 2%;

        color: white;

        font-family: $default-font;

        font-weight: 600;

        cursor: pointer;

        text-align: center;

    }
}

</style>